/* Fonts */

@font-face {
    font-family: 'Adobe Bengali';
    src: url('../fonts/Adobe Bengali Regular.otf') format('opentype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Adobe Bengali';
    src: url('../fonts/Adobe Bengali Bold.otf') format('opentype');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'Adonis';
    src: url('../fonts/Adonis Regular.otf') format('opentype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Adonis';
    src: url('../fonts/Adonis Italic.otf') format('opentype');
    font-weight: 400;
    font-style: italic;
}

@font-face {
    font-family: 'Adonis';
    src: url('../fonts/Adonis Bold.otf') format('opentype');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'Adonis';
    src: url('../fonts/Adonis Bold Italic.otf') format('opentype');
    font-weight: 700;
    font-style: italic;
}

@font-face {
    font-family: 'Li Subha Letterpress';
    src: url('../fonts/Li Subha Letterpress Unicode.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Li Subha Letterpress';
    src: url('../fonts/Li Subha Letterpress Unicode Italic.ttf') format('truetype');
    font-weight: 400;
    font-style: italic;
}

@font-face {
    font-family: 'Space Mono';
    src: url('../fonts/SpaceMono-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Space Mono';
    src: url('../fonts/SpaceMono-Italic.ttf') format('truetype');
    font-weight: 400;
    font-style: italic;
}

@font-face {
    font-family: 'Space Mono';
    src: url('../fonts/SpaceMono-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'Space Mono';
    src: url('../fonts/SpaceMono-BoldItalic.ttf') format('truetype');
    font-weight: 700;
    font-style: italic;
}

@font-face {
    font-family: 'Spectral';
    src: url('../fonts/Spectral-ExtraLight.ttf') format('truetype');
    font-weight: 200;
    font-style: normal;
}

@font-face {
    font-family: 'Spectral';
    src: url('../fonts/Spectral-ExtraLightItalic.ttf') format('truetype');
    font-weight: 200;
    font-style: italic;
}

@font-face {
    font-family: 'Spectral';
    src: url('../fonts/Spectral-Light.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'Spectral';
    src: url('../fonts/Spectral-LightItalic.ttf') format('truetype');
    font-weight: 300;
    font-style: italic;
}

@font-face {
    font-family: 'Spectral';
    src: url('../fonts/Spectral-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Spectral';
    src: url('../fonts/Spectral-Italic.ttf') format('truetype');
    font-weight: 400;
    font-style: italic;
}

@font-face {
    font-family: 'Spectral';
    src: url('../fonts/Spectral-Medium.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: 'Spectral';
    src: url('../fonts/Spectral-MediumItalic.ttf') format('truetype');
    font-weight: 500;
    font-style: italic;
}

@font-face {
    font-family: 'Spectral';
    src: url('../fonts/Spectral-SemiBold.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: 'Spectral';
    src: url('../fonts/Spectral-SemiBoldItalic.ttf') format('truetype');
    font-weight: 600;
    font-style: italic;
}

@font-face {
    font-family: 'Spectral';
    src: url('../fonts/Spectral-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'Spectral';
    src: url('../fonts/Spectral-BoldItalic.ttf') format('truetype');
    font-weight: 700;
    font-style: italic;
}

@font-face {
    font-family: 'Spectral';
    src: url('../fonts/Spectral-ExtraBold.ttf') format('truetype');
    font-weight: 800;
    font-style: normal;
}

@font-face {
    font-family: 'Spectral';
    src: url('../fonts/Spectral-ExtraBoldItalic.ttf') format('truetype');
    font-weight: 800;
    font-style: italic;
}

/* Custom styles */


body,
html {
    padding: 0;
    margin: 0;
    height: 100%;
}

.hero {
    position: relative;
    height: 100vh;
    width: 100%;
    overflow: hidden;
    display: flex;
    align-items: flex-end;
    justify-content: center;
}

.video-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.content {
    width: 100%;
    text-align: center;
    color: white;
    padding-bottom: 50px;
    z-index: 1;
}

.about-section {
    background-color: #ffffff;
    position: relative;
    z-index: 2;
}

.image-row-1,
.image-row-2,
.image-row-3,
.image-row-11 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 30px;
    padding: 30px;
    padding-bottom: 0px;
    width: 100%;
    box-sizing: border-box;
}

.image-row-4 {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 0px;
    padding: 30px;
    padding-bottom: 0px;
    width: 100%;
    box-sizing: border-box;
}

.image-row-6 {
    display: grid;
    grid-template-columns: 1fr;
    gap: 0px;
    padding: 30px 150px;
    padding-bottom: 0px;
    width: 100%;
    box-sizing: border-box;
}

.image-row-7,
.image-row-9,
.image-row-10,
.image-row-12 {
    display: grid;
    grid-template-columns: 1fr;
    gap: 0px;
    padding: 30px;
    padding-bottom: 0px;
    width: 100%;
    box-sizing: border-box;
}

.image-row-8 {
    display: grid;
    grid-template-columns: 2fr 1fr;
    gap: 30px;
    padding: 30px;
    padding-bottom: 0px;
    width: 100%;
    box-sizing: border-box;
}

.image-row-3 {
    align-items: stretch;
}

.image-container {
    position: relative;
    width: 100%;
    overflow: hidden;
    display: flex;
}

.image-stack {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.image-row-3 .image-stack {
    gap: 0;
}

.image-row-3 .image-stack .image-container {
    flex: 1;
}

.image-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.image-overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 30px;
    color: white;
    text-decoration: none;
    display: flex;
    flex-direction: column;
    width: 100%;
    background: linear-gradient(transparent, rgba(0, 0, 0, 0.6));
    font-family: 'Adonis', serif;
    z-index: 3;
}

.image-overlay span {
    font-size: 12pt;
    line-height: 1.2;
    display: block;
}

.image-overlay span>span {
    display: inline-block;
}

.image-overlay:hover {
    color: #ffffff;
    opacity: 0.8;
}


.footer {
    position: relative;
    z-index: 2;
}

.main-menu {
    list-style: none;
    padding: 0;
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-top: 20px;
}

.main-menu li {
    display: flex;
    align-items: center;
}

.main-menu li:not(:last-child)::after {
    content: '|';
    color: white;
    margin-left: 20px;
    font-family: 'Spectral', serif;
    font-weight: 300;
    opacity: 0.6;
}

.main-menu li a {
    color: white;
    text-decoration: none;
    font-family: 'Adonis', serif;
    letter-spacing: 1px;
    font-size: 18px;
}

.main-menu li a:hover {
    opacity: 0.8;
}

.footer {
    background-color: #F2F1F0;
    text-align: center;
    height: 80px;
}

.social-icons {
    color: #686868;
    font-size: 20px;
    transition: color 0.3s;
    text-decoration: none;
    border: 1px solid #888B92;
    width: 35px;
    height: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
}

.social-icons:hover {
    color: #000;
    border-color: #000;
}

/**
Responsive css
**/
@media (max-width: 768px) {
    .hero {
        background-color: black;
    }

    .video-bg {
        height: 70%;
    }

    .image-row-1,
    .image-row-6,
    .image-row-7,
    .image-row-9,
    .image-row-10,
    .image-row-12 {
        display: flex;
        flex-direction: column;
        padding: 15px;
        gap: 15px;
    }

    .image-row-2,
    .image-row-3,
    .image-row-4,
    .image-row-8,
    .image-row-11 {
        display: flex !important;
        flex-direction: row !important;
        overflow-x: auto !important;
        padding: 15px !important;
        gap: 20px !important;
        -webkit-overflow-scrolling: touch;
        -ms-overflow-style: none;
        scrollbar-width: none;
        scroll-behavior: smooth;
    }

    .image-row-4 {
        scroll-snap-type: x mandatory;
    }

    .image-row-4>.image-container {
        flex: 0 0 100% !important;
        width: 100% !important;
        scroll-snap-align: center;
    }


    .image-row-3::-webkit-scrollbar {
        display: none;
    }

    /* image-row-2 allows horizontal scrolling where you can see the next image partially */
    .image-row-2>.image-container {
        flex: 0 0 100% !important;
        width: 100% !important;
    }

    /* image-row-3 behaves like a full-screen slider */
    .image-row-3,
    .image-row-8,
    .image-row-11 {
        scroll-snap-type: x mandatory;
    }

    .image-row-3>.image-container,
    .image-row-3>.image-stack,
    .image-row-8>.image-container,
    .image-row-11>.image-container {
        flex: 0 0 100% !important;
        width: 100% !important;
        scroll-snap-align: center;
    }

    .image-stack {
        gap: 15px;
    }

    .image-row-3 .image-stack {
        display: flex !important;
        flex-direction: column !important;
        gap: 0 !important;
    }

    .image-row-3 .image-stack .image-container {
        flex: 1 1 50% !important;
        height: 100vw;
    }

    .image-overlay {
        padding: 15px;
    }

    .image-overlay span {
        font-size: 12pt;
    }
}



/**
Font css declarations 
**/
.bangla-lisubha-letterpress {
    font-family: 'Li Subha Letterpress', serif;
}

.english-adonis {
    font-family: 'Adonis', serif;
}

.english-space-mono {
    font-family: 'Space Mono', serif;
}